import baseFlatten from "./_baseFlatten.mjs";
import baseRest from "./_baseRest.mjs";
import baseUniq from "./_baseUniq.mjs";
import isArrayLikeObject from "./isArrayLikeObject.mjs";
var union = baseRest(function(arrays) {
  return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
});
export {
  union as default
};
